KDE 4.2 PyKDE API Reference

- KDE's Python API

# GUIActivateEvent Class Reference

`from PyKDE4.kparts import *`

Inherits: KParts.Event → QEvent
Namespace: KParts

## Detailed Description

This event is sent to a Part when its GUI has been activated or deactivated. This is related to PartActivateEvent, but the difference is that GUIActivateEvent happens later (when the GUI is actually built), only for parts that have GUI elements, and only if using KParts.MainWindow.

See also:
  KParts.Part.guiActivateEvent()

## Methods

| __init__ (self, bool activated)
| __init__ (self, KParts.GUIActivateEvent other)
bool | activated (self)

## Static Methods

bool | test (QEvent event)

## Method Documentation

__init__ | ( | self, |
|  | bool | activated
| ) |  |  |

__init__ | ( | self, |
|  | KParts.GUIActivateEvent | other
| ) |  |  |

bool activated | ( |  | self ) |

bool test | ( | QEvent | event
| ) |  |  |